<head>
  <!-- Compatibility for Internet Explorer -->
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Handheld -->
  <meta content="True" name="HandheldFriendly">
  <meta content="320" name="MobileOptimized">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <!-- Page Info -->
  {% if page.title %}
  <title>{{ page.title | markdownify | strip_html | strip_newlines | escape_once }}</title>
  {% else %}
  <title>{{ site.title }}</title>
  {% endif %}
  <meta name="generator" content="{{ site.url | replace: 'http://','' | replace:'https://','' }}">
  {% if page.author %}
  <meta name="author" content="{{ page.author | markdownify | strip_html | strip_newlines | escape_once }}">
  {% else %}
  <meta name="author" content="{{ site.author }}">
  {% endif %}
  {% if page.excerpt %}
  <meta name="description" content="{{ page.excerpt | markdownify | strip_html | strip_newlines | escape_once }}">
  {% else %}
  <meta name="description" content="{{ site.description }}">
  {% endif %}
  {% if page.tags %}
  <meta content="{{ page.tags | join: ', ' }}" name="keywords">
  {% endif %}
  <!-- Twitter Cards -->
  {% if page.image %}
    {% capture image %}{{ page.image }}{% endcapture %}
    {% unless image contains 'http://' or image contains 'https://' %}
        {% capture image %}{{ site.url }}/{{ image }}{% endcapture %}
    {% endunless %}
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:image" content="{{ image }}">
  {% else %}
  <meta name="twitter:card" content="summary">
  <meta name="twitter:image" content="{{ site.url }}/{{ site.logo-images/logo-main }}">
  {% endif %}
  <meta name="twitter:title" content="{% if page.title %}{{ page.title }}{% else %}{{ site.title }}{% endif %}">
  {% if page.excerpt %}
  <meta name="twitter:description" content="{{ page.excerpt | markdownify | strip_html | strip_newlines | escape_once }}">
  {% endif %}
  {% if site.twitter %}
  <meta name="twitter:site" content="@{{ site.twitter }}">
  <meta name="twitter:creator" content="@{{ site.twitter }}">
  {% endif %}
  <!-- Open Graph -->
  {% assign language-localized = site.data.localized-translation[page.lang] %}
  <meta property="og:locale" content="{{ language-localized.locale }}">
  <meta property="og:type" content="article">
  <meta property="og:title" content="{% if page.title %}{{ page.title }}{% else %}{{ site.title }}{% endif %}">
  {% if page.excerpt %}
  <meta property="og:description" content="{{ page.excerpt | markdownify | strip_html | strip_newlines | escape_once }}">
  {% endif %}
  <meta property="og:url" content="{{ page.url | replace:'index.html','' | prepend: site.url }}">
  <meta property="og:site_name" content="{{ site.title }}">
  <meta property="og:image" content="{{ site.url }}/{{ site.logo-images/logo-main }}">
  {% if page.date %}
  <meta property="og:published_time" content="{{ page.date }}">
  {% endif %}
  {% if site.facebook %}
  <meta property="article:author" content="https://facebook.com/{{ site.facebook }}">
  {% endif %}
  <!-- Canonical Like-->
  {% capture canonical %}{{ site.url }}{% if site.permalink contains '.html' %}{{ page.url }}{% else %}{{ page.url | remove:'index.html' | strip_slash }}{% endif %}{% endcapture %}
  <link rel="canonical" href="{{ canonical }}">
  <!-- Feed -->
  {% feed_meta %}
  <!-- Favicons -->
  <link href="{{ site.url }}/{{ site.logo-images.favicon }}" rel="shortcut icon"
        type="image/{{ site.logo-images.favicon-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.favicon-ico }}?" rel="shortcut icon"
        type="image/x-icon"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon }}" rel="apple-touch-icon"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-57x57 }}" rel="apple-touch-icon" sizes="57x57"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-72x72 }}" rel="apple-touch-icon" sizes="72x72"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-76x76 }}" rel="apple-touch-icon" sizes="76x76"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-114x114 }}" rel="apple-touch-icon" sizes="114x114"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-120x120 }}" rel="apple-touch-icon" sizes="120x120"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-144x144 }}" rel="apple-touch-icon" sizes="144x144"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-152x152 }}" rel="apple-touch-icon" sizes="152x152"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  <link href="{{ site.url }}/{{ site.logo-images.apple-touch-icon-180x180 }}" rel="apple-touch-icon" sizes="180x180"
        type="image/{{ site.logo-images.apple-touch-image-format }}"/>
  {% if page.layout != "error-page" %}
    <!-- Site CSS files -->
    {% for item in site.data.assets.css %}
      {{ item }}
    {% endfor %}
    <link rel="stylesheet" type="text/css" href="{{ site.url }}/assets/css/main.css" />
    <!-- Site Fonts -->
    {% for item in site.data.assets.fonts %}
      {{ item }}
    {% endfor %}
    <!-- Left Block Image for Posts -->
    {% if page.image %}
      {% capture image %}{{ page.image }}{% endcapture %}
      {% if ! (image contains 'http://' or image contains 'https://') %}
        <style type="text/css">
          #posts.inner-post-page .block-left {
            background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url({{ site.url }}/{{ site.background.default-post }}) no-repeat;
            background-size: cover;
          }
        </style>
      {% else %}
        <style type="text/css">
          #posts.inner-post-page .block-left {
            background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url({{ image }}) no-repeat;
            background-size: cover;
          }
        </style>
      {% endif %}
    {% endif %}
    <!-- Left Block Images for Home and Pages -->
    <style type="text/css">
      #posts .block-left {
        background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url({{ site.url }}/{{ site.background.post-list }}) no-repeat;
        background-size: cover, cover;
      }

      .block-left {
        background: linear-gradient(rgba(44, 45, 51, 0.9), rgba(44, 45, 51, 0.9)), url({{ site.url }}/{{ site.background.homepage }}) no-repeat;
        background-size: cover;
      }
    </style>
  {% else %}
    <!-- CSS for error pages -->
    <link rel="stylesheet" type="text/css" href="{{ site.url }}/assets/css/error-hacker-page.css" />
  {% endif %}
  <!-- Web Trackers -->
  {% include trackers.html %}
  <!-- Others -->
</head>
